from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XContentAccess(XInterface, Protocol):
    def queryContentIdentifierString(self) -> str: ...
    def queryContentIdentifier(self) -> XContentIdentifier: ...
    def queryContent(self) -> XContent: ...
